import junit.framework.*;

// write unit tests for add, subtract, multiply, equals

public class BigNumTest extends TestCase {

	public void testToString() {
		BigNum b = new BigNum();
		assertEquals("0",b.toString());

		b = new BigNum("7");
		assertEquals("7",b.toString());

		b = new BigNum("432");
		assertEquals("432",b.toString());

		b = new BigNum("43216");
		assertEquals("43,216",b.toString());

		b = new BigNum("4321678");
		assertEquals("4,321,678",b.toString());

		b = new BigNum("-4321678");
		assertEquals("-4,321,678",b.toString());
	}

	public void testStripLeadingZeros() {
		BigNum b1 = new BigNum("42");
		BigNum b2 = new BigNum("");
		BigNum b = b1.multiply(b2);
		assertEquals("0",b.toString());

		b1 = new BigNum("9999");
		b2 = new BigNum("9998");
		b = b1.subtract(b2);
		assertEquals("1",b.toString());
	}

    public void testGetSign() {
		BigNum b = new BigNum();
		assertEquals(0,b.getSign());
		b = new BigNum("42");
		assertEquals(1,b.getSign());
		b = new BigNum("-42");
		assertEquals(-1,b.getSign());
	}

	public void testNegate() {
		BigNum b = new BigNum("42");
		assertEquals(1,b.getSign());
		b.negateMe();
		assertEquals(-1,b.getSign());
		b.negateMe();
		assertEquals(1,b.getSign());

		b = new BigNum("-42");
		assertEquals(-1,b.getSign());
		b.negateMe();
		assertEquals(1,b.getSign());
		b.negateMe();
		assertEquals(-1,b.getSign());
	}

}